# This file is a template, and might need editing before it works on your project.
# use docker image with latex preinstalled
# since there is no official latex image, use https://github.com/blang/latex-docker
# possible alternative: https://github.com/natlownes/docker-latex
image: vincentxavier/latex

build:
  stage: build
  script:
    - apt update
    - apt dist-upgrade -y --without-install-recommends
    - sh @src/generate-gitinfo.sh
    - python3 @src/compile.py
  cache:
    key: "pdf"
    paths:
      - "*.aux"
      - "*.fls"
      - "*.log"
      - "*.nav"
      - "*.out"
      - "*.pdf"
      - "*.snm"
      - "*.tex"
      - "*.toc"
      - "*.fdb_latexmk"
      - "*.xsim"

  artifacts:
    paths:
      - "*.pdf"

deploy:
  stage: deploy
  script:
    - for i in *.pdf ; do curl -u $USER:$PASS -T "$i" "https://educloud.ac-creteil.fr/remote.php/dav/files/vjumel/Sixième/" ; done
      #- for i in *.pdf ; do curl -u $USER:$PASS -H "OCS-APIRequest: true" -X POST "https://educloud.ac-creteil.fr//ocs/v2.php/apps/files_sharing/api/v1/shares" --data "path=Sixième/$i" --data "shareType=4" --data "shareWith=vincent-xavier.jumel@lasallesaintdenis.com" ; done

